<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.agency.home.title">Agencies</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-agency" [routerLink]="['/agency/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.agency.home.createLabel">
            Create a new Agency
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="agencies?.length === 0">
        <span jhiTranslate="tfsBackendApp.agency.home.notFound">No agencies found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="agencies && agencies.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.agency.name">Name</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.agency.address">Address</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.agency.zip">Zip</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.agency.city">City</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.agency.municipality">Municipality</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let agency of agencies ;trackBy: trackId">
                    <td><a [routerLink]="['/agency', agency.id, 'view']">{{ agency.id }}</a></td>
                    <td>{{ agency.name }}</td>
                    <td>{{ agency.address }}</td>
                    <td>{{ agency.zip }}</td>
                    <td>{{ agency.city }}</td>
                    <td>
                        <div *ngIf="agency.municipalityId">
                            <a [routerLink]="['/municipality', agency.municipalityId , 'view']" >{{ agency.municipalityId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/agency', agency.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/agency', agency.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(agency)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
